---
title: "List generations"
description: ""
url: https://docs.roasos.com/api-reference/generations/listGenerations
---

# List generations

## `GET /v1/generations`

Endpoint: `GET https://api.roasos.com/v1/generations`

List generations

### Parameters

- `undefined`
- `undefined`
- `type` (query): Filter by generation type. Avatars and scenes (created via /v1/avatars and /v1/scenes) are stored in the same table and are returned here too, so they can be filtered as `avatar` / `scene`.
- `status` (query): Filter by status

### Responses

- `200`: List of generations with pagination
- `401`: Invalid or missing API key

Read the full reference at https://docs.roasos.com/api-reference/generations/listGenerations.
